<?php // $Id: contexp.php,v 1.3 2003/05/23 19:20:13 linuxwarrior Exp $ $Name:  $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2001 by the Post-Nuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
//
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Search Module
// ===========================
// Original Author Chester Chee (cchee@direcInternet.com)
// Copyright (c) 2001 by Content Express Development Team
//                       Arising Group, Inc.
// http://xexpress.sourceforge.net/

$search_modules[] = array(
    'title' => 'ContentExpress',
    'func_search' => 'search_ce',
    'func_opt' => 'search_ce_opt'
);
function search_ce_opt() {
    global $bgcolor2, $textcolor1;

    $output = new pnHTML();
    $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (pnSecAuthAction(0, 'ContentExpress::Category', '::', ACCESS_READ) ||
        pnSecAuthAction(0, 'ContentExpress::Content', '::', ACCESS_READ)) {
        $output->Text("<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor2\"><td><font class=\"pn-normal\" style=\"text-color:$textcolor1\"><input type=\"checkbox\" name=\"active_ce\" id=\"active_ce\" value=\"1\" checked>&nbsp;<label for=\"active_ce\">"._SEARCH_CONTENTEXPRESSS."</label></font></td></tr></table>");
    }

    return $output->GetOutput();
}

function search_ce() {

    list($q,
         $bool,
         $startnum,
         $total,
         $active_ce) = pnVarCleanFromInput('q',
                                           'bool',
                                           'startnum',
                                           'total',
                                           'active_ce');

    if (empty($active_ce)) {
        return;
    }

    // Force a module load to ensure tables are loaded
    pnModLoad( 'ContentExpress' );

    list($dbconn) = pnDBGetConn();
    $pntable = pnDBGetTables();

    $output = new pnHTML();
    $output->SetInputMode(_PNH_VERBATIMINPUT);

    if (!isset($startnum)) {
        $startnum = 1;
    }

    $w = search_split_query($q);
    $flag = false;
    $contentitems_column = &$pntable['ce_contentitems_column'];
    $query = "SELECT $contentitems_column[id] as ceid, $contentitems_column[title] as title
              FROM $pntable[ce_contentitems]
              WHERE \n";
    foreach($w as $word) {
        if($flag) {
            switch($bool) {
                case 'AND' :
                    $query .= ' AND ';
                    break;
                case 'OR' :
                default :
                    $query .= ' OR ';
                    break;
            }
        }
        $query .= '(';
        // contentitems_column
        $query .= "$contentitems_column[title] LIKE '$word' OR \n";
        $query .= "$contentitems_column[text] LIKE '$word'\n";
        $query .= ')';
        $flag = true;
    }
    $query .= " ORDER BY $contentitems_column[id]";

    if (empty($total)) {
        $countres = $dbconn->Execute($query);
        if( $dbconn->ErrorNo() == 0 ) {
            $total = $countres->PO_RecordCount();
            $countres->Close();
        }
    }
    $result = $dbconn->SelectLimit($query, 10, $startnum-1);

    if ($dbconn->ErrorNo() == 0 && !$result->EOF) {
        $url = "modules.php?op=modload&amp;name=Search&amp;file=index&amp;action=search&amp;active_ce=1&amp;bool=$bool&amp;q=$q";

        $output->SetInputMode(_PNH_RETURNOUTPUT);
        $searchResult = "<ul>";
        while(!$result->EOF) {
            $row = $result->GetRowAssoc(false);
            if (!pnSecAuthAction(0, 'ContentExpress::Content', "$row[ceid]::", ACCESS_READ) ||
                !pnSecAuthAction(0, 'ContentExpress::Content', "$row[title]::", ACCESS_READ)) {
                // content is not allowed to view
                $total--; 
            } else { 
                $murl = pnModURL( 'ContentExpress',
                                  'user',
                                  'display',
                                  array( 'ceid' => $row['ceid'],
                                         'meid' => -1 ));
                $searchResult .= "<li /><font class=\"pn-normal\">";
                $searchResult .= "<a href=\"$murl\">$row[title]</a>";
                $searchResult .= "</font>";
            }
            $result->MoveNext();
        }
        $searchResult .= "</ul>";
        $output->SetInputMode(_PNH_KEEPOUTPUT);

        if ( $total == 0) {
                $output->Text('<font class="pn-normal">'._SEARCH_NO_CONTENTEXPRESSS.'</font>');
        } else {
        	$output->Text('<font class="pn-normal">'. _CONTENTEXPRESS . ': ' . $total . ' ' . _SEARCHRESULTS . '</font>');
                $output->Text( $searchResult );
        } 

        // Munge URL for template
        $urltemplate = $url . "&amp;startnum=%%&amp;total=$total";
        $output->Pager($startnum,
                       $total,
                       $urltemplate,
                       10);
    } else {
        $output->SetInputMode(_PNH_VERBATIMINPUT);
        $output->Text('<font class="pn-normal">'._SEARCH_NO_CONTENTEXPRESSS.'</font>');
        $output->SetInputMode(_PNH_PARSEINPUT);
    }
    $output->Linebreak();

    return $output->GetOutput();
}
?>
