<?php
// $Id: pntables.php,v 1.3 2003/04/03 18:43:34 bravecobra Exp $
// ----------------------------------------------------------------------
// POST-NUKE Content Management System
// Copyright (C) 2002 by the PostNuke Development Team.
// http://www.postnuke.com/
// ----------------------------------------------------------------------
// Based on:
// PHP-NUKE Web Portal System - http://phpnuke.org/
// Thatware - http://thatware.org/
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WIthOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------
// Module: ContentExpress
// Copyright (C) 2002 by the Content Express Development Team.
//                           Arising Group, Inc.
// http://xexpress.sourceforge.net/
// Original Author of file: Chester Chee
// Purpose of file:  Table information for ContentExpress module
// ----------------------------------------------------------------------
// 2002/06/10 CC Encapsulate menu/content logic into MenuExpress/ContentExpress classes

$ModName = basename( dirname( __FILE__ ));

include_once( "modules/$ModName/pnclass/CommonExpress.php" );
include_once( "modules/$ModName/pneditor/pnCEHTML.php" );
include_once( "modules/$ModName/pnclass/Category.php" );
include_once( "modules/$ModName/pnclass/ContentExpress.php" );
include_once( "modules/$ModName/pnclass/MediaExpress.php" );
include_once( "modules/$ModName/pnclass/MenuExpress.php" );

/**
 * This function is called internally by the core whenever the module is
 * loaded.  It adds in the information
 */
function ContentExpress_pntables()
{
    // Initialise table array
    $pntable = array();

    $category = new Category();
    $category->pntables( $pntable );

    $content = new ContentExpress();

    $content->pntables( $pntable );

    $media = new MediaExpress();

    $media->pntables( $pntable );

    $menu = new MenuExpress();

    $menu->pntables( $pntable );

    // Return the table information
    return $pntable;
}
?>